OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
oms::MatReader Class Reference

`#include <MatReader.h>`

Inheritance diagram for oms::MatReader:
[legend]
Collaboration diagram for oms::MatReader:
[legend]

## Public Member Functions
| MatReader (const char *filename)
| ~MatReader ()
ResultReader::Series * | getSeries (const char *var)
Public Member Functions inherited from oms::ResultReader
| ResultReader (const char *filename)
virtual | ~ResultReader ()
const std::vector< std::string > & | getAllSignals () const

## Private Attributes
bool | transposed
MatVer4Matrix * | AClass
MatVer4Matrix * | name
MatVer4Matrix * | dataInfo
MatVer4Matrix * | data_1
MatVer4Matrix * | data_2

## Additional Inherited Members
Static Public Member Functions inherited from oms::ResultReader
static ResultReader * | newReader (const char *filename)
static void | deleteSeries (Series **series)
static bool | compareSeries (Series *seriesA, Series *seriesB, double relTol, double absTol)
Protected Attributes inherited from oms::ResultReader
std::vector< std::string > | signals

## Constructor & Destructor Documentation

## ◆ MatReader()

oms::MatReader::MatReader | ( | const char * | filename | ) |

Here is the call graph for this function:

## ◆ ~MatReader()

oms::MatReader::~MatReader | ( |  | ) |

Here is the call graph for this function:

## Member Function Documentation

## ◆ getSeries()

oms::ResultReader::Series * oms::MatReader::getSeries | ( | const char * | var | ) |
| virtual

Implements oms::ResultReader.

## Member Data Documentation

## ◆ AClass

MatVer4Matrix* oms::MatReader::AClass
| private

## ◆ data_1

MatVer4Matrix* oms::MatReader::data_1
| private

## ◆ data_2

MatVer4Matrix* oms::MatReader::data_2
| private

## ◆ dataInfo

MatVer4Matrix* oms::MatReader::dataInfo
| private

## ◆ name

MatVer4Matrix* oms::MatReader::name
| private

## ◆ transposed

bool oms::MatReader::transposed
| private

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/MatReader.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/MatReader.cpp